//----------------------------BEGIN LICENSE----------------------------
/* 
 * Willow : the Open Source WorkFlow Project
 * Distributable under GNU LGPL license by gun.org
 *
 * Copyright (C) 2004-2010 huihoo.org 
 * Copyright (C) 2004-2010  ZosaTapo <dertyang@hotmail.com> 
 * 
 * ====================================================================
 * Project Homepage : http://www.huihoo.org/willow
 * Source Forge     : http://sourceforge.net/projects/huihoo
 * Mailing list     : willow@lists.sourceforge.net 
 */
//----------------------------END  LICENSE-----------------------------
package org.huihoo.workflow.xpdl;

import org.huihoo.workflow.WorkflowComponent;
import org.huihoo.workflow.WorkflowXPDLComponent;


public class WorkflowScript  implements WorkflowComponent,WorkflowXPDLComponent
{
  protected String type;
	protected String version;
	protected String grammar;
  
  public WorkflowScript()
  {
    super();
  }
    
  public WorkflowScript(String type_)
  {
    this(type_,null,null);
  }
  
  public WorkflowScript(String type_,String version_,String grammar_)
  {
    this.type=type_;
    this.version=version_;
    this.grammar=grammar_;
  }
  
  public String getType()
  {
    return (this.type);
  }
  
  public void setType(String type_)
  {
    this.type=type_;
  }

  public String getVersion()
  {
    return (this.version);
  }

  public void setVersion(String version_)
  {
    this.version=version_;
  }
    
  public String getGrammar()
  {
    return (this.grammar);
  }

  public void setGrammar(String grammar_)
  {
    this.grammar=grammar_;
  }
  
  public String getTagName()
  {
  	return "Script";
  }
}
